Bug 855951 - AttributeError: 'BTRFSVolumeDevice' object has no attribute 'isMagic'
AttributeError: 'BTRFSVolumeDevice' object has no attribute 'isMagic'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:738cd34d5c837d8e34abf1427b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 13:42 EDT by Patrick Talbert
Modified: 2013-01-10 01:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 19:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (707 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: anaconda-tb (529.83 KB, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: environ (879 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: type (9 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: storage.log (168.11 KB, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: other involved packages (32 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: program.log (49.67 KB, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: product (6 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: anaconda.log (5.13 KB, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: version (2 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: release (27 bytes, text/plain)
2012-09-10 13:42 EDT, Patrick Talbert
no flags Details
File: messages (264.50 KB, text/plain)
2012-09-10 13:43 EDT, Patrick Talbert
no flags Details
File: description (1.01 KB, text/plain)
2012-09-10 13:43 EDT, Patrick Talbert
no flags Details

  None (edit)
Description Patrick Talbert 2012-09-10 13:42:30 EDT
Version-Release number of selected component:
anaconda-18.6.5-1.fc18.x86_64

Additional info:
libreport version: 2.0.12
cmdline:        initrd=/isolinux/initrd0.img root=UUID=9CE6-77BB rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/isolinux/vmlinuz0 
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64
Comment 1 Patrick Talbert 2012-09-10 13:42:33 EDT
Created attachment 611514 [details]
File: ifcfg.log
Comment 2 Patrick Talbert 2012-09-10 13:42:38 EDT
Created attachment 611515 [details]
File: anaconda-tb
Comment 3 Patrick Talbert 2012-09-10 13:42:40 EDT
Created attachment 611516 [details]
File: environ
Comment 4 Patrick Talbert 2012-09-10 13:42:42 EDT
Created attachment 611517 [details]
File: type
Comment 5 Patrick Talbert 2012-09-10 13:42:45 EDT
Created attachment 611518 [details]
File: storage.log
Comment 6 Patrick Talbert 2012-09-10 13:42:47 EDT
Created attachment 611519 [details]
File: other involved packages
Comment 7 Patrick Talbert 2012-09-10 13:42:48 EDT
Created attachment 611520 [details]
File: program.log
Comment 8 Patrick Talbert 2012-09-10 13:42:50 EDT
Created attachment 611521 [details]
File: product
Comment 9 Patrick Talbert 2012-09-10 13:42:52 EDT
Created attachment 611522 [details]
File: anaconda.log
Comment 10 Patrick Talbert 2012-09-10 13:42:54 EDT
Created attachment 611523 [details]
File: hashmarkername
Comment 11 Patrick Talbert 2012-09-10 13:42:56 EDT
Created attachment 611524 [details]
File: version
Comment 12 Patrick Talbert 2012-09-10 13:42:58 EDT
Created attachment 611525 [details]
File: release
Comment 13 Patrick Talbert 2012-09-10 13:43:01 EDT
Created attachment 611526 [details]
File: messages
Comment 14 Patrick Talbert 2012-09-10 13:43:03 EDT
Created attachment 611527 [details]
File: description
Comment 15 Jesse Keating 2012-09-10 17:34:29 EDT
isMagic appears to be a partition device attribute, which is at the same level as a BTRFS device.  BTRFS volume inherits from BTRFS deice, neither of which have an isMagic property.  They all inherit from StorageDevice so it might make sense to move the isMagic property up to StorageDevice, or duplicate it within BTRFS device.

Re-assigning to our storage expert for his opinion.
Comment 16 David Lehman 2012-10-04 19:17:42 EDT
This should be fixed in the f18 beta tc1.

Note You need to log in before you can comment on or make changes to this bug.